-- client.lua

local isScoreboardOpen = false

-- Функция за отваряне на Scoreboard
local function openScoreboard()
    SetNuiFocus(true, true)
    SendNUIMessage({ type = "open" })
    isScoreboardOpen = true
end

-- Функция за затваряне на Scoreboard
local function closeScoreboard()
    SetNuiFocus(false, false)
    SendNUIMessage({ type = "close" })
    isScoreboardOpen = false
end

-- Регистриране на командата /board
RegisterCommand("board", function()
    if not isScoreboardOpen then
        openScoreboard()
    else
        closeScoreboard()
    end
end, false)

-- Отваряне и затваряне на Scoreboard при натискане на F5
Citizen.CreateThread(function()
    while true do
        Citizen.Wait(0)
        if IsControlJustPressed(1, 166) then -- F5
            if not isScoreboardOpen then
                openScoreboard()
            else
                closeScoreboard()
            end
        end
    end
end)

-- Затваряне на NUI, когато потребителят натисне ESC
RegisterNUICallback("close", function(data, cb)
    closeScoreboard()
    cb("ok")
end)

-- Получаване на данни от сървъра
RegisterNetEvent("scoreboard:updatePlayers")
AddEventHandler("scoreboard:updatePlayers", function(data)
    SendNUIMessage({
        type = "update",
        players = data.players,
        police = data.police,
        medics = data.medics,
        taxis = data.taxis,
        municipal = data.municipal,
        heists = data.heists
    })
end)
